Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.impl
Class SAgentImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.impl.SNamedImpl
                          org.metaabm.impl.SAttributedImpl
                              org.metaabm.impl.SActableImpl
                                  org.metaabm.impl.SAgentImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, IID, SActable, SAgent, SAttributed, SImplemented, SNamed

Direct Known Subclasses:
  SContextImpl

    public class SAgentImpl

extends SActableImpl
implements SAgent

An implementation of the model object ' SAgent'.

Author:
  Miles Parker

  The following features are implemented:

  - `Implementation`
  - `Parent`
  - `Styles`
  - `Owner`
  - `Children`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<IAgentChild>` | `children` The cached value of the '`Children`' containment reference list.
`protected SImplementation` | `implementation` The cached value of the '`Implementation`' containment reference.
`protected org.eclipse.emf.common.util.EList<SStyle>` | `styles` The cached value of the '`Styles`' containment reference list.

Fields inherited from class org.metaabm.impl.SActableImpl
`rootActivity`

Fields inherited from class org.metaabm.impl.SAttributedImpl
`attributes`

Fields inherited from class org.metaabm.impl.SNamedImpl
`description, DESCRIPTION_EDEFAULT, PLURAL_LABEL_EDEFAULT, pluralLabel`

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `SAgentImpl()`

Method Summary
`SImplemented` | `basicGetParent()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetImplementation(SImplementation newImplementation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOwner(SContext newOwner, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` | `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain` | `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` | `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<IAgentChild>` | `getChildren()`
`SImplementation` | `getImplementation()`
`SContext` | `getOwner()`
`SAgent` | `getParent()` Returns the value of the 'Parent' reference.
`org.eclipse.emf.common.util.EList<SStyle>` | `getStyles()`
`boolean` | `isReachable(IValue value)`
`void` | `setImplementation(SImplementation newImplementation)`
`void` | `setOwner(SContext newOwner)`

Methods inherited from class org.metaabm.impl.SActableImpl
`basicSetRootActivity, getRootActivity, references, setRootActivity`

Methods inherited from class org.metaabm.impl.SAttributedImpl
`findAttribute, getAttributes`

Methods inherited from class org.metaabm.impl.SNamedImpl
`getDescription, getPluralLabel, setDescription, setID, setPluralLabel, toString`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.SActable
`getRootActivity, setRootActivity`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### implementation

    protected SImplementation implementation

  The cached value of the '`Implementation`' containment reference.

  See Also:
    `getImplementation()`

### styles

    protected org.eclipse.emf.common.util.EList<SStyle> styles

  The cached value of the '`Styles`' containment reference list.

  See Also:
    `getStyles()`

### children

    protected org.eclipse.emf.common.util.EList<IAgentChild> children

  The cached value of the '`Children`' containment reference list.

  See Also:
    `getChildren()`

Constructor Detail

### SAgentImpl

    protected SAgentImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SActableImpl`

### getImplementation

    public SImplementation getImplementation()

  Specified by:
    `getImplementation` in interface `SImplemented`
  Returns:
    the value of the 'Implementation' containment reference.
  See Also:
    `SImplemented.setImplementation(SImplementation)`, `MetaABMPackage.getSImplemented_Implementation()`, `SImplementation.getTarget()`

### basicSetImplementation

    public org.eclipse.emf.common.notify.NotificationChain basicSetImplementation(SImplementation newImplementation,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setImplementation

    public void setImplementation(SImplementation newImplementation)

  Specified by:
    `setImplementation` in interface `SImplemented`
  Parameters:
    `newImplementation` - the new value of the 'Implementation' containment reference.
  See Also:
    `SImplemented.getImplementation()`

### getStyles

    public org.eclipse.emf.common.util.EList<SStyle> getStyles()

  Specified by:
    `getStyles` in interface `SAgent`
  Returns:
    the value of the 'Styles' containment reference list.
  See Also:
    `MetaABMPackage.getSAgent_Styles()`, `SStyle.getAgent()`

### getOwner

    public SContext getOwner()

  Specified by:
    `getOwner` in interface `SAgent`
  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `SAgent.setOwner(SContext)`, `MetaABMPackage.getSAgent_Owner()`, `SContext.getAgents()`

### basicSetOwner

    public org.eclipse.emf.common.notify.NotificationChain basicSetOwner(SContext newOwner,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setOwner

    public void setOwner(SContext newOwner)

  Specified by:
    `setOwner` in interface `SAgent`
  Parameters:
    `newOwner` - the new value of the 'Owner' container reference.
  See Also:
    `SAgent.getOwner()`

### getChildren

    public org.eclipse.emf.common.util.EList<IAgentChild> getChildren()

  Specified by:
    `getChildren` in interface `SAgent`
  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `MetaABMPackage.getSAgent_Children()`, `IAgentChild.getParent()`

### getParent

    public SAgent getParent()

  Description copied from interface: `SImplemented`
  Returns the value of the 'Parent' reference.

  If the meaning of the 'Parent' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getParent` in interface `SImplemented`
  Returns:
    the value of the 'Parent' reference.
  See Also:
    `MetaABMPackage.getSImplemented_Parent()`

### basicGetParent

    public SImplemented basicGetParent()

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SAttributedImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SActableImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `SActableImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `SActableImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `SActableImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `SActableImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### isReachable

    public boolean isReachable(IValue value)

  Specified by:
    `isReachable` in interface `SAttributed`
  Overrides:
    `isReachable` in class `SAttributedImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD